Ensure you meet the following software requirements for each of your application servers and your database server. You can find the software requirements for the various Workspace ONE UEM components, such as VMware Enterprise Systems Connector, Tunnel, and SEG, in their applicable guides, available at docs.vmware.com.

Application Server Software Requirements

Ensure that you meet the following software requirements for the application servers:

  • Internet Explorer 9+ installed on all application servers
  • Windows Server 2008 R2, Windows Server 2012, Windows Server 2012 R2, or Windows Server 2016
  • 64-bit Java (JRE 1.8) server needed for the server on which AWCM is installed. The Java installer is packaged with the Workspace ONE UEM installer and installs automatically if it is not already present.
  • 64-bit Java (JRE 1.8) installed on all app servers. The Java installer is packaged with the Workspace ONE UEM installer and installs automatically if it is not already present.

  • .NET Framework 4.6.2. The .NET Framework 4.6.2 installer is packaged with the Workspace ONE UEM installer and installs automatically if it is not already present.
  • PowerShell version 3.0+ if you are deploying the PowerShell MEM-direct model for email. To verify your version, open PowerShell and run the command $PSVersionTable. More details on this and other email models are available in the Workspace ONE UEM Mobile Email Management Guide, available at docs.vmware.com.

  • Microsoft SQL Server 2012 Native Client 11.3.6538.0 to run the database installer. If you do not want to install SQL Server 2012 Native Client, run the database installer from another UEM server (or a jump server) where Microsoft SQL Server 2012 Native Client 11.3.6538.0 can install.
  • If you use Windows for SQL authentication, you must join application servers that talk to the database to the Windows user's domain. The Active Directory service account must have administrator-level permissions.

Database Server Software Requirements

  • SQL Server 2012, SQL Server 2014, SQL Server 2016, or SQL Server 2017 with Client Tools (SQL Management Studio, Integration Services, SQL Server Agent, latest service packs). Ensure the SQL Servers are 64-bit (OS and SQL Server).

    Workspace ONE UEM does not support Express, Workgroup, or Web editions of SQL Server. These editions do not support all the features used in the Workspace ONE UEM application. Currently only Standard and Enterprise Editions are supported.

  • Microsoft SQL Server 2012 Native Client 11.3.6538.0 is required to run the database installer. If you do not want to install Microsoft SQL Server 2012 Native Client 11.3.6538.0 on to your database server, then run the database installer from another AirWatch server or a jump server where Microsoft SQL Server 2012 Native Client 11.3.6538.0 can be installed.
  • .NET 4.6.2 is required to run the database installer. If you do not want to install .NET on to your database server, then run the database installer from another Workspace ONE UEM server or a jump server where .NET can be installed.
  • Ensure the SQL Server Agent Windows service is set to Automatic or Automatic (Delayed) as the Start type for the service. If set to Manual, it has to be manually started before database installation.
  • You must have the access and knowledge required to create, back up, and restore a database.

When the database installer runs, it automatically updates your SQL Server with the latest versions of:

  • ODBC Driver 13 for SQL Server 64-bit

  • Command Line Utilities 13 for SQL Server 64-bit